#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### yafcore (library) #########################

tde_add_library( yafcore SHARED
  SOURCES
    buffer.cpp
    lineStack.cpp
    commandLine.cpp
    parser.cpp
    outputInterface.cpp
    inputInterface.cpp
    commandTable.cpp
    commandTableYAF.cpp
    runtimeTableYAF.cpp
    inputDecoder.cpp
    outputDecoder.cpp
    yaf_control.cpp
    multiReader.cpp
  LINK
    tdefakes-shared
    mpeg-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data ################################

install(
  FILES
    inputInterface.h outputInterface.h
    buffer.h inputDecoder.h yaf_control.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/util/yaf/yafcore
)
